function MR.tools.CheckEquipDurable()
	if( MR.stInventory == nil )then return nil; end;
	
	for key, value in pairs( MR.stInventory )do
		if( value ~= -1 )and( string.sub( key, 1, 8 ) ~= "Talisman" )then
			local _,_,itemName,durableValuef,durableMaxf = GetInventoryItemDurable( "player", value );
			local _curr = durableValuef - 10000;
			local _max  = durableMaxf - 10000;
			local _perc = math.floor( _curr * 100 / _max );
			if( _perc < 0 )then _perc = 0; end;
			MR.Durables[ key ] = {
				["curr"] = durableValuef,
				["max"]  = durableMaxf,
				["name"] = itemName,
				["percent"] = _perc,
				["isDurable"] = ( durableMaxf > 10000 ),
				["empty"] = ( durableMaxf == 0 ),
			};
		end;
	end;
end;

function MR.tools.CheckTalismanDurable()
	if( MR.stInventory == nil )then return nil; end;
	
	MR.Talismans = {};
	
	for key, value in pairs( MR.stInventory )do
		if( value ~= -1 )and( string.sub( key, 1, 8 ) == "Talisman" )then
			local _,_,itemName,durableValuef,durableMaxf = GetInventoryItemDurable( "player", value );
			
			MR.Talismans[ tonumber( string.sub( key, 9, 9 ) ) ] = {
				["curr"] = durableValuef,
				["max"]  = durableMaxf,
				["name"] = itemName,
			};
		end;
	end;
end;

function MR.tools.GetBrokenCount()
	local _count = 0;
	
	MR.Brokens = {};
	
	for key, value in pairs( MR.Durables )do
		if( not value["empty"] )and( value["isDurable"] )then
			local flag = false;
			if( value["curr"] <= mRepairVariables.CriticalDurable )then flag = true; end;
			if( value["percent"] <= mRepairVariables.CriticalPrecent )then flag = true; end;
			
			if( flag )then
				MR.Brokens[ #MR.Brokens + 1 ] = value;
				_count = _count + 1;
			end;
		end;
	end;
	
	return _count;
end;

--[[ /run dofile("Interface/AddOns/mRepair/code/tools.lua"); ]]